[Pkg-owncloud-commits] [owncloud-client] 163/164: Move configfiles to /etc/owncloud-client

Sandro Knauß hefee-guest at moszumanska.debian.org
Sun Mar 22 11:57:11 UTC 2015


This is an automated email from the git hooks/post-receive script.

hefee-guest pushed a commit to branch master
in repository owncloud-client.

commit e48f32a343e1a3ec602d65750112701ee2618ea2
Author: Sandro Knauß <bugs at sandroknauss.de>
Date:   Sun Mar 22 12:30:30 2015 +0100

    Move configfiles to /etc/owncloud-client
    
    owncloud server and client should use different config dirs.
---
 debian/conffiles                    |  1 -
 debian/owncloud-client.conffiles    |  1 +
 debian/owncloud-client.install      |  2 +-
 debian/owncloud-client.postinst     | 10 ++++++++++
 debian/owncloud-client.postrm       | 10 ++++++++++
 debian/owncloud-client.preinst      | 10 ++++++++++
 debian/patches/fix-configfile.patch | 33 +++++++++++++++++++++++++++++++++
 debian/patches/series               |  1 +
 8 files changed, 66 insertions(+), 2 deletions(-)

diff --git a/debian/conffiles b/debian/conffiles
deleted file mode 100644
index ef50328..0000000
--- a/debian/conffiles
+++ /dev/null
@@ -1 +0,0 @@
-/etc/owncloud/sync-exclude.lst
diff --git a/debian/owncloud-client.conffiles b/debian/owncloud-client.conffiles
new file mode 100644
index 0000000..5f297c0
--- /dev/null
+++ b/debian/owncloud-client.conffiles
@@ -0,0 +1 @@
+/etc/owncloud-client/sync-exclude.lst
diff --git a/debian/owncloud-client.install b/debian/owncloud-client.install
index 71c58f4..cbc725f 100644
--- a/debian/owncloud-client.install
+++ b/debian/owncloud-client.install
@@ -1,4 +1,4 @@
-etc/ownCloud
+etc/owncloud-client
 usr/bin/owncloud
 usr/share/applications/owncloud.desktop
 usr/share/icons/*/*/apps/owncloud.png
diff --git a/debian/owncloud-client.postinst b/debian/owncloud-client.postinst
new file mode 100644
index 0000000..fb05e52
--- /dev/null
+++ b/debian/owncloud-client.postinst
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+#DEBHELPER#
+
+dpkg-maintscript-helper mv_conffile /etc/owncloud/sync-exclude.lst /etc/owncloud-client/sync-exclude.lst 1.8.0+dfsg-1~ owncloud-client -- "$@"
+dpkg-maintscript-helper mv_conffile /etc/ownCloud/sync-exclude.lst /etc/owncloud-client/sync-exclude.lst 1.8.0+dfsg-1~ owncloud-client -- "$@"
+
+exit 0
diff --git a/debian/owncloud-client.postrm b/debian/owncloud-client.postrm
new file mode 100644
index 0000000..fb05e52
--- /dev/null
+++ b/debian/owncloud-client.postrm
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+#DEBHELPER#
+
+dpkg-maintscript-helper mv_conffile /etc/owncloud/sync-exclude.lst /etc/owncloud-client/sync-exclude.lst 1.8.0+dfsg-1~ owncloud-client -- "$@"
+dpkg-maintscript-helper mv_conffile /etc/ownCloud/sync-exclude.lst /etc/owncloud-client/sync-exclude.lst 1.8.0+dfsg-1~ owncloud-client -- "$@"
+
+exit 0
diff --git a/debian/owncloud-client.preinst b/debian/owncloud-client.preinst
new file mode 100644
index 0000000..fb05e52
--- /dev/null
+++ b/debian/owncloud-client.preinst
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+#DEBHELPER#
+
+dpkg-maintscript-helper mv_conffile /etc/owncloud/sync-exclude.lst /etc/owncloud-client/sync-exclude.lst 1.8.0+dfsg-1~ owncloud-client -- "$@"
+dpkg-maintscript-helper mv_conffile /etc/ownCloud/sync-exclude.lst /etc/owncloud-client/sync-exclude.lst 1.8.0+dfsg-1~ owncloud-client -- "$@"
+
+exit 0
diff --git a/debian/patches/fix-configfile.patch b/debian/patches/fix-configfile.patch
new file mode 100644
index 0000000..6e3ae93
--- /dev/null
+++ b/debian/patches/fix-configfile.patch
@@ -0,0 +1,33 @@
+Description: Move configuration dir
+ At debian we expect config files in an dir that is the same like
+ the packagename, so make sure this is also used.
+Author: Sandro Knauß <bugs at sandroknauss.de>
+Origin: Debian
+Last-Update: 2015-03-22
+---
+This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
+Index: owncloud-client/CMakeLists.txt
+===================================================================
+--- owncloud-client.orig/CMakeLists.txt	2015-03-22 11:49:21.000000000 +0100
++++ owncloud-client/CMakeLists.txt	2015-03-22 11:49:21.000000000 +0100
+@@ -205,6 +205,6 @@
+ if(BUILD_OWNCLOUD_OSX_BUNDLE)
+     install(FILES sync-exclude.lst DESTINATION ${OWNCLOUD_OSX_BUNDLE}/Contents/Resources/)
+ else()
+-    install( FILES sync-exclude.lst DESTINATION ${SYSCONFDIR}/${APPLICATION_SHORTNAME} )
++    install( FILES sync-exclude.lst DESTINATION ${SYSCONFDIR}/${APPLICATION_EXECUTABLE}-client )
+     configure_file(sync-exclude.lst bin/sync-exclude.lst COPYONLY)
+ endif()
+Index: owncloud-client/src/libsync/configfile.cpp
+===================================================================
+--- owncloud-client.orig/src/libsync/configfile.cpp	2015-03-22 11:49:21.000000000 +0100
++++ owncloud-client/src/libsync/configfile.cpp	2015-03-22 11:58:30.502975192 +0100
+@@ -243,7 +243,7 @@
+     fi.setFile( QCoreApplication::applicationDirPath(), exclFile );
+ #endif
+ #ifdef Q_OS_UNIX
+-    fi.setFile( QString( SYSCONFDIR "/%1").arg(Theme::instance()->appName()), exclFile );
++    fi.setFile( QString::fromLatin1( SYSCONFDIR "/" APPLICATION_EXECUTABLE "-client" ), exclFile );
+     if ( ! fi.exists() ) {
+         // Prefer to return the preferred path! Only use the fallback location
+         // if the other path does not exist and the fallback is valid.
diff --git a/debian/patches/series b/debian/patches/series
index 713d1a6..91badc1 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -3,3 +3,4 @@
 0003-skip_tests_freebsd.patch
 0004-shell_integration_copyright.patch
 0005-remove_admin.patch
+fix-configfile.patch

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-owncloud/owncloud-client.git



More information about the Pkg-owncloud-commits mailing list